import{s as gt,o as _t,n as kt}from"../chunks/scheduler.9bc65507.js";import{S as bt,i as zt,g as a,s,r as h,A as Tt,h as i,f as n,c as r,j as x,u,x as c,k as q,y as o,a as d,v as g,d as _,t as k,w as b}from"../chunks/index.707bf1b6.js";import{T as vt}from"../chunks/Tip.c2ecdbf4.js";import{D}from"../chunks/Docstring.570ddb64.js";import{H as he,E as $t}from"../chunks/EditOnGithub.922df6ba.js";function xt(ue){let m,P=`BARThez の実装は、トークン化を除いて BART と同じです。詳細については、<a href="bart">BART ドキュメント</a> を参照してください。
構成クラスとそのパラメータ。 BARThez 固有のトークナイザーについては以下に記載されています。`;return{c(){m=a("p"),m.innerHTML=P},l(z){m=i(z,"P",{"data-svelte-h":!0}),c(m)!=="svelte-pvzsbk"&&(m.innerHTML=P)},m(z,Y){d(z,m,Y)},p:kt,d(z){z&&n(m)}}}function qt(ue){let m,P,z,Y,A,ge,R,_e,E,Ze=`BARThez モデルは、Moussa Kamal Eddine、Antoine J.-P によって <a href="https://arxiv.org/abs/2010.12321" rel="nofollow">BARThez: a Skilled Pretrained French Sequence-to-Sequence Model</a> で提案されました。ティクシエ、ミカリス・ヴァジルジャンニス、10月23日、
2020年。`,ke,F,et="論文の要約:",be,M,tt=`<em>帰納的転移学習は、自己教師あり学習によって可能になり、自然言語処理全体を実行します。
(NLP) 分野は、BERT や BART などのモデルにより、無数の自然言語に新たな最先端技術を確立し、嵐を巻き起こしています。
タスクを理解すること。いくつかの注目すべき例外はありますが、利用可能なモデルと研究のほとんどは、
英語を対象に実施されました。この作品では、フランス語用の最初の BART モデルである BARTez を紹介します。
（我々の知る限りに）。 BARThez は、過去の研究から得た非常に大規模な単一言語フランス語コーパスで事前トレーニングされました
BART の摂動スキームに合わせて調整しました。既存の BERT ベースのフランス語モデルとは異なり、
CamemBERT と FlauBERT、BARThez は、エンコーダだけでなく、
そのデコーダは事前トレーニングされています。 FLUE ベンチマークからの識別タスクに加えて、BARThez を新しい評価に基づいて評価します。
この論文とともにリリースする要約データセット、OrangeSum。また、すでに行われている事前トレーニングも継続します。
BARTHez のコーパス上で多言語 BART を事前訓練し、結果として得られるモデル (mBARTHez と呼ぶ) が次のことを示します。
バニラの BARThez を大幅に強化し、CamemBERT や FlauBERT と同等かそれを上回ります。</em>`,ze,H,nt='このモデルは <a href="https://huggingface.co/moussakam" rel="nofollow">moussakam</a> によって寄稿されました。著者のコードは<a href="https://github.com/moussaKam/BARThez" rel="nofollow">ここ</a>にあります。',Te,w,ve,I,$e,S,ot=`<li>BARThez は、BART と同様の方法でシーケンス間のタスクを微調整できます。以下を確認してください。
<a href="https://github.com/huggingface/transformers/tree/main/examples/pytorch/summarization/README.md" rel="nofollow">examples/pytorch/summarization/</a>。</li>`,xe,O,qe,l,j,Ee,Z,st=`Adapted from <a href="/docs/transformers/pr_21171/ja/model_doc/camembert#transformers.CamembertTokenizer">CamembertTokenizer</a> and <a href="/docs/transformers/pr_21171/ja/model_doc/bart#transformers.BartTokenizer">BartTokenizer</a>. Construct a BARThez tokenizer. Based on
<a href="https://github.com/google/sentencepiece" rel="nofollow">SentencePiece</a>.`,Fe,ee,rt=`This tokenizer inherits from <a href="/docs/transformers/pr_21171/ja/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`,Me,T,N,He,te,at=`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. A BARThez sequence has the following format:`,Ie,ne,it="<li>single sequence: <code>&lt;s&gt; X &lt;/s&gt;</code></li> <li>pair of sequences: <code>&lt;s&gt; A &lt;/s&gt;&lt;/s&gt; B &lt;/s&gt;</code></li>",Se,B,U,Oe,oe,dt="Converts a sequence of tokens (string) in a single string.",je,y,V,Ne,se,lt="Create a mask from the two sequences passed to be used in a sequence-pair classification task.",Ue,L,W,Ve,re,ct=`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer <code>prepare_for_model</code> method.`,we,K,Be,f,X,We,ae,mt=`Adapted from <a href="/docs/transformers/pr_21171/ja/model_doc/camembert#transformers.CamembertTokenizer">CamembertTokenizer</a> and <a href="/docs/transformers/pr_21171/ja/model_doc/bart#transformers.BartTokenizer">BartTokenizer</a>. Construct a “fast” BARThez tokenizer. Based on
<a href="https://github.com/google/sentencepiece" rel="nofollow">SentencePiece</a>.`,Ke,ie,pt=`This tokenizer inherits from <a href="/docs/transformers/pr_21171/ja/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a> which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`,Xe,v,G,Ge,de,ft=`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. A BARThez sequence has the following format:`,Je,le,ht="<li>single sequence: <code>&lt;s&gt; X &lt;/s&gt;</code></li> <li>pair of sequences: <code>&lt;s&gt; A &lt;/s&gt;&lt;/s&gt; B &lt;/s&gt;</code></li>",Qe,C,J,Ye,ce,ut="Create a mask from the two sequences passed to be used in a sequence-pair classification task.",ye,Q,Le,fe,Ce;return A=new he({props:{title:"BARThez",local:"barthez",headingTag:"h1"}}),R=new he({props:{title:"Overview",local:"overview",headingTag:"h2"}}),w=new vt({props:{$$slots:{default:[xt]},$$scope:{ctx:ue}}}),I=new he({props:{title:"Resources",local:"resources",headingTag:"h3"}}),O=new he({props:{title:"BarthezTokenizer",local:"transformers.BarthezTokenizer",headingTag:"h2"}}),j=new D({props:{name:"class transformers.BarthezTokenizer",anchor:"transformers.BarthezTokenizer",parameters:[{name:"vocab_file",val:""},{name:"bos_token",val:" = '<s>'"},{name:"eos_token",val:" = '</s>'"},{name:"sep_token",val:" = '</s>'"},{name:"cls_token",val:" = '<s>'"},{name:"unk_token",val:" = '<unk>'"},{name:"pad_token",val:" = '<pad>'"},{name:"mask_token",val:" = '<mask>'"},{name:"sp_model_kwargs",val:": Optional = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.BarthezTokenizer.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
<a href="https://github.com/google/sentencepiece" rel="nofollow">SentencePiece</a> file (generally has a <em>.spm</em> extension) that
contains the vocabulary necessary to instantiate a tokenizer.`,name:"vocab_file"},{anchor:"transformers.BarthezTokenizer.bos_token",description:`<strong>bos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;s&gt;&quot;</code>) &#x2014;
The beginning of sequence token that was used during pretraining. Can be used a sequence classifier token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the beginning of
sequence. The token used is the <code>cls_token</code>.</p>

					</div>`,name:"bos_token"},{anchor:"transformers.BarthezTokenizer.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The end of sequence token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the end of sequence.
The token used is the <code>sep_token</code>.</p>

					</div>`,name:"eos_token"},{anchor:"transformers.BarthezTokenizer.sep_token",description:`<strong>sep_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The separator token, which is used when building a sequence from multiple sequences, e.g. two sequences for
sequence classification or for a text and a question for question answering. It is also used as the last
token of a sequence built with special tokens.`,name:"sep_token"},{anchor:"transformers.BarthezTokenizer.cls_token",description:`<strong>cls_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;s&gt;&quot;</code>) &#x2014;
The classifier token which is used when doing sequence classification (classification of the whole sequence
instead of per-token classification). It is the first token of the sequence when built with special tokens.`,name:"cls_token"},{anchor:"transformers.BarthezTokenizer.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.BarthezTokenizer.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;pad&gt;&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"},{anchor:"transformers.BarthezTokenizer.mask_token",description:`<strong>mask_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;mask&gt;&quot;</code>) &#x2014;
The token used for masking values. This is the token used when training this model with masked language
modeling. This is the token which the model will try to predict.`,name:"mask_token"},{anchor:"transformers.BarthezTokenizer.sp_model_kwargs",description:`<strong>sp_model_kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
Will be passed to the <code>SentencePieceProcessor.__init__()</code> method. The <a href="https://github.com/google/sentencepiece/tree/master/python" rel="nofollow">Python wrapper for
SentencePiece</a> can be used, among other things,
to set:</p>
<ul>
<li>
<p><code>enable_sampling</code>: Enable subword regularization.</p>
</li>
<li>
<p><code>nbest_size</code>: Sampling parameters for unigram. Invalid for BPE-Dropout.</p>
<ul>
<li><code>nbest_size = {0,1}</code>: No sampling is performed.</li>
<li><code>nbest_size &gt; 1</code>: samples from the nbest_size results.</li>
<li><code>nbest_size &lt; 0</code>: assuming that nbest_size is infinite and samples from the all hypothesis (lattice)
using forward-filtering-and-backward-sampling algorithm.</li>
</ul>
</li>
<li>
<p><code>alpha</code>: Smoothing parameter for unigram sampling, and dropout probability of merge operations for
BPE-dropout.</p>
</li>
</ul>`,name:"sp_model_kwargs"},{anchor:"transformers.BarthezTokenizer.sp_model",description:`<strong>sp_model</strong> (<code>SentencePieceProcessor</code>) &#x2014;
The <em>SentencePiece</em> processor that is used for every conversion (string, tokens and IDs).`,name:"sp_model"}],source:"https://github.com/huggingface/transformers/blob/vr_21171/src/transformers/models/barthez/tokenization_barthez.py#L38"}}),N=new D({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.BarthezTokenizer.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:": List"},{name:"token_ids_1",val:": Optional = None"}],parametersDescription:[{anchor:"transformers.BarthezTokenizer.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added.`,name:"token_ids_0"},{anchor:"transformers.BarthezTokenizer.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/vr_21171/src/transformers/models/barthez/tokenization_barthez.py#L142",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>List of <a href="../glossary#input-ids">input IDs</a> with the appropriate special tokens.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>List[int]</code></p>
`}}),U=new D({props:{name:"convert_tokens_to_string",anchor:"transformers.BarthezTokenizer.convert_tokens_to_string",parameters:[{name:"tokens",val:""}],source:"https://github.com/huggingface/transformers/blob/vr_21171/src/transformers/models/barthez/tokenization_barthez.py#L238"}}),V=new D({props:{name:"create_token_type_ids_from_sequences",anchor:"transformers.BarthezTokenizer.create_token_type_ids_from_sequences",parameters:[{name:"token_ids_0",val:": List"},{name:"token_ids_1",val:": Optional = None"}],parametersDescription:[{anchor:"transformers.BarthezTokenizer.create_token_type_ids_from_sequences.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.BarthezTokenizer.create_token_type_ids_from_sequences.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/vr_21171/src/transformers/models/barthez/tokenization_barthez.py#L195",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>List of zeros.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>List[int]</code></p>
`}}),W=new D({props:{name:"get_special_tokens_mask",anchor:"transformers.BarthezTokenizer.get_special_tokens_mask",parameters:[{name:"token_ids_0",val:": List"},{name:"token_ids_1",val:": Optional = None"},{name:"already_has_special_tokens",val:": bool = False"}],parametersDescription:[{anchor:"transformers.BarthezTokenizer.get_special_tokens_mask.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.BarthezTokenizer.get_special_tokens_mask.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"},{anchor:"transformers.BarthezTokenizer.get_special_tokens_mask.already_has_special_tokens",description:`<strong>already_has_special_tokens</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not the token list is already formatted with special tokens for the model.`,name:"already_has_special_tokens"}],source:"https://github.com/huggingface/transformers/blob/vr_21171/src/transformers/models/barthez/tokenization_barthez.py#L168",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A list of integers in the range [0, 1]: 1 for a special token, 0 for a sequence token.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>List[int]</code></p>
`}}),K=new he({props:{title:"BarthezTokenizerFast",local:"transformers.BarthezTokenizerFast",headingTag:"h2"}}),X=new D({props:{name:"class transformers.BarthezTokenizerFast",anchor:"transformers.BarthezTokenizerFast",parameters:[{name:"vocab_file",val:" = None"},{name:"tokenizer_file",val:" = None"},{name:"bos_token",val:" = '<s>'"},{name:"eos_token",val:" = '</s>'"},{name:"sep_token",val:" = '</s>'"},{name:"cls_token",val:" = '<s>'"},{name:"unk_token",val:" = '<unk>'"},{name:"pad_token",val:" = '<pad>'"},{name:"mask_token",val:" = '<mask>'"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.BarthezTokenizerFast.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
<a href="https://github.com/google/sentencepiece" rel="nofollow">SentencePiece</a> file (generally has a <em>.spm</em> extension) that
contains the vocabulary necessary to instantiate a tokenizer.`,name:"vocab_file"},{anchor:"transformers.BarthezTokenizerFast.bos_token",description:`<strong>bos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;s&gt;&quot;</code>) &#x2014;
The beginning of sequence token that was used during pretraining. Can be used a sequence classifier token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the beginning of
sequence. The token used is the <code>cls_token</code>.</p>

					</div>`,name:"bos_token"},{anchor:"transformers.BarthezTokenizerFast.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The end of sequence token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the end of sequence.
The token used is the <code>sep_token</code>.</p>

					</div>`,name:"eos_token"},{anchor:"transformers.BarthezTokenizerFast.sep_token",description:`<strong>sep_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The separator token, which is used when building a sequence from multiple sequences, e.g. two sequences for
sequence classification or for a text and a question for question answering. It is also used as the last
token of a sequence built with special tokens.`,name:"sep_token"},{anchor:"transformers.BarthezTokenizerFast.cls_token",description:`<strong>cls_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;s&gt;&quot;</code>) &#x2014;
The classifier token which is used when doing sequence classification (classification of the whole sequence
instead of per-token classification). It is the first token of the sequence when built with special tokens.`,name:"cls_token"},{anchor:"transformers.BarthezTokenizerFast.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.BarthezTokenizerFast.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;pad&gt;&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"},{anchor:"transformers.BarthezTokenizerFast.mask_token",description:`<strong>mask_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;mask&gt;&quot;</code>) &#x2014;
The token used for masking values. This is the token used when training this model with masked language
modeling. This is the token which the model will try to predict.`,name:"mask_token"},{anchor:"transformers.BarthezTokenizerFast.additional_special_tokens",description:`<strong>additional_special_tokens</strong> (<code>List[str]</code>, <em>optional</em>, defaults to <code>[&quot;&lt;s&gt;NOTUSED&quot;, &quot;&lt;/s&gt;NOTUSED&quot;]</code>) &#x2014;
Additional special tokens used by the tokenizer.`,name:"additional_special_tokens"}],source:"https://github.com/huggingface/transformers/blob/vr_21171/src/transformers/models/barthez/tokenization_barthez_fast.py#L40"}}),G=new D({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.BarthezTokenizerFast.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:": List"},{name:"token_ids_1",val:": Optional = None"}],parametersDescription:[{anchor:"transformers.BarthezTokenizerFast.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added.`,name:"token_ids_0"},{anchor:"transformers.BarthezTokenizerFast.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/vr_21171/src/transformers/models/barthez/tokenization_barthez_fast.py#L130",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>List of <a href="../glossary#input-ids">input IDs</a> with the appropriate special tokens.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>List[int]</code></p>
`}}),J=new D({props:{name:"create_token_type_ids_from_sequences",anchor:"transformers.BarthezTokenizerFast.create_token_type_ids_from_sequences",parameters:[{name:"token_ids_0",val:": List"},{name:"token_ids_1",val:": Optional = None"}],parametersDescription:[{anchor:"transformers.BarthezTokenizerFast.create_token_type_ids_from_sequences.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.BarthezTokenizerFast.create_token_type_ids_from_sequences.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/vr_21171/src/transformers/models/barthez/tokenization_barthez_fast.py#L156",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>List of zeros.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>List[int]</code></p>
`}}),Q=new $t({props:{source:"https://github.com/huggingface/transformers/blob/main/docs/source/ja/model_doc/barthez.md"}}),{c(){m=a("meta"),P=s(),z=a("p"),Y=s(),h(A.$$.fragment),ge=s(),h(R.$$.fragment),_e=s(),E=a("p"),E.innerHTML=Ze,ke=s(),F=a("p"),F.textContent=et,be=s(),M=a("p"),M.innerHTML=tt,ze=s(),H=a("p"),H.innerHTML=nt,Te=s(),h(w.$$.fragment),ve=s(),h(I.$$.fragment),$e=s(),S=a("ul"),S.innerHTML=ot,xe=s(),h(O.$$.fragment),qe=s(),l=a("div"),h(j.$$.fragment),Ee=s(),Z=a("p"),Z.innerHTML=st,Fe=s(),ee=a("p"),ee.innerHTML=rt,Me=s(),T=a("div"),h(N.$$.fragment),He=s(),te=a("p"),te.textContent=at,Ie=s(),ne=a("ul"),ne.innerHTML=it,Se=s(),B=a("div"),h(U.$$.fragment),Oe=s(),oe=a("p"),oe.textContent=dt,je=s(),y=a("div"),h(V.$$.fragment),Ne=s(),se=a("p"),se.textContent=lt,Ue=s(),L=a("div"),h(W.$$.fragment),Ve=s(),re=a("p"),re.innerHTML=ct,we=s(),h(K.$$.fragment),Be=s(),f=a("div"),h(X.$$.fragment),We=s(),ae=a("p"),ae.innerHTML=mt,Ke=s(),ie=a("p"),ie.innerHTML=pt,Xe=s(),v=a("div"),h(G.$$.fragment),Ge=s(),de=a("p"),de.textContent=ft,Je=s(),le=a("ul"),le.innerHTML=ht,Qe=s(),C=a("div"),h(J.$$.fragment),Ye=s(),ce=a("p"),ce.textContent=ut,ye=s(),h(Q.$$.fragment),Le=s(),fe=a("p"),this.h()},l(e){const t=Tt("svelte-u9bgzb",document.head);m=i(t,"META",{name:!0,content:!0}),t.forEach(n),P=r(e),z=i(e,"P",{}),x(z).forEach(n),Y=r(e),u(A.$$.fragment,e),ge=r(e),u(R.$$.fragment,e),_e=r(e),E=i(e,"P",{"data-svelte-h":!0}),c(E)!=="svelte-13rlm15"&&(E.innerHTML=Ze),ke=r(e),F=i(e,"P",{"data-svelte-h":!0}),c(F)!=="svelte-eexy9s"&&(F.textContent=et),be=r(e),M=i(e,"P",{"data-svelte-h":!0}),c(M)!=="svelte-1i34nii"&&(M.innerHTML=tt),ze=r(e),H=i(e,"P",{"data-svelte-h":!0}),c(H)!=="svelte-mvkqsj"&&(H.innerHTML=nt),Te=r(e),u(w.$$.fragment,e),ve=r(e),u(I.$$.fragment,e),$e=r(e),S=i(e,"UL",{"data-svelte-h":!0}),c(S)!=="svelte-lp07ro"&&(S.innerHTML=ot),xe=r(e),u(O.$$.fragment,e),qe=r(e),l=i(e,"DIV",{class:!0});var p=x(l);u(j.$$.fragment,p),Ee=r(p),Z=i(p,"P",{"data-svelte-h":!0}),c(Z)!=="svelte-1d5tqxp"&&(Z.innerHTML=st),Fe=r(p),ee=i(p,"P",{"data-svelte-h":!0}),c(ee)!=="svelte-ud09wc"&&(ee.innerHTML=rt),Me=r(p),T=i(p,"DIV",{class:!0});var me=x(T);u(N.$$.fragment,me),He=r(me),te=i(me,"P",{"data-svelte-h":!0}),c(te)!=="svelte-js8h2n"&&(te.textContent=at),Ie=r(me),ne=i(me,"UL",{"data-svelte-h":!0}),c(ne)!=="svelte-rq8uot"&&(ne.innerHTML=it),me.forEach(n),Se=r(p),B=i(p,"DIV",{class:!0});var De=x(B);u(U.$$.fragment,De),Oe=r(De),oe=i(De,"P",{"data-svelte-h":!0}),c(oe)!=="svelte-b3k2yi"&&(oe.textContent=dt),De.forEach(n),je=r(p),y=i(p,"DIV",{class:!0});var Pe=x(y);u(V.$$.fragment,Pe),Ne=r(Pe),se=i(Pe,"P",{"data-svelte-h":!0}),c(se)!=="svelte-sqjw56"&&(se.textContent=lt),Pe.forEach(n),Ue=r(p),L=i(p,"DIV",{class:!0});var Ae=x(L);u(W.$$.fragment,Ae),Ve=r(Ae),re=i(Ae,"P",{"data-svelte-h":!0}),c(re)!=="svelte-1f4f5kp"&&(re.innerHTML=ct),Ae.forEach(n),p.forEach(n),we=r(e),u(K.$$.fragment,e),Be=r(e),f=i(e,"DIV",{class:!0});var $=x(f);u(X.$$.fragment,$),We=r($),ae=i($,"P",{"data-svelte-h":!0}),c(ae)!=="svelte-tzefyo"&&(ae.innerHTML=mt),Ke=r($),ie=i($,"P",{"data-svelte-h":!0}),c(ie)!=="svelte-1mcyl2w"&&(ie.innerHTML=pt),Xe=r($),v=i($,"DIV",{class:!0});var pe=x(v);u(G.$$.fragment,pe),Ge=r(pe),de=i(pe,"P",{"data-svelte-h":!0}),c(de)!=="svelte-js8h2n"&&(de.textContent=ft),Je=r(pe),le=i(pe,"UL",{"data-svelte-h":!0}),c(le)!=="svelte-rq8uot"&&(le.innerHTML=ht),pe.forEach(n),Qe=r($),C=i($,"DIV",{class:!0});var Re=x(C);u(J.$$.fragment,Re),Ye=r(Re),ce=i(Re,"P",{"data-svelte-h":!0}),c(ce)!=="svelte-sqjw56"&&(ce.textContent=ut),Re.forEach(n),$.forEach(n),ye=r(e),u(Q.$$.fragment,e),Le=r(e),fe=i(e,"P",{}),x(fe).forEach(n),this.h()},h(){q(m,"name","hf:doc:metadata"),q(m,"content",wt),q(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(l,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(v,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(f,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,t){o(document.head,m),d(e,P,t),d(e,z,t),d(e,Y,t),g(A,e,t),d(e,ge,t),g(R,e,t),d(e,_e,t),d(e,E,t),d(e,ke,t),d(e,F,t),d(e,be,t),d(e,M,t),d(e,ze,t),d(e,H,t),d(e,Te,t),g(w,e,t),d(e,ve,t),g(I,e,t),d(e,$e,t),d(e,S,t),d(e,xe,t),g(O,e,t),d(e,qe,t),d(e,l,t),g(j,l,null),o(l,Ee),o(l,Z),o(l,Fe),o(l,ee),o(l,Me),o(l,T),g(N,T,null),o(T,He),o(T,te),o(T,Ie),o(T,ne),o(l,Se),o(l,B),g(U,B,null),o(B,Oe),o(B,oe),o(l,je),o(l,y),g(V,y,null),o(y,Ne),o(y,se),o(l,Ue),o(l,L),g(W,L,null),o(L,Ve),o(L,re),d(e,we,t),g(K,e,t),d(e,Be,t),d(e,f,t),g(X,f,null),o(f,We),o(f,ae),o(f,Ke),o(f,ie),o(f,Xe),o(f,v),g(G,v,null),o(v,Ge),o(v,de),o(v,Je),o(v,le),o(f,Qe),o(f,C),g(J,C,null),o(C,Ye),o(C,ce),d(e,ye,t),g(Q,e,t),d(e,Le,t),d(e,fe,t),Ce=!0},p(e,[t]){const p={};t&2&&(p.$$scope={dirty:t,ctx:e}),w.$set(p)},i(e){Ce||(_(A.$$.fragment,e),_(R.$$.fragment,e),_(w.$$.fragment,e),_(I.$$.fragment,e),_(O.$$.fragment,e),_(j.$$.fragment,e),_(N.$$.fragment,e),_(U.$$.fragment,e),_(V.$$.fragment,e),_(W.$$.fragment,e),_(K.$$.fragment,e),_(X.$$.fragment,e),_(G.$$.fragment,e),_(J.$$.fragment,e),_(Q.$$.fragment,e),Ce=!0)},o(e){k(A.$$.fragment,e),k(R.$$.fragment,e),k(w.$$.fragment,e),k(I.$$.fragment,e),k(O.$$.fragment,e),k(j.$$.fragment,e),k(N.$$.fragment,e),k(U.$$.fragment,e),k(V.$$.fragment,e),k(W.$$.fragment,e),k(K.$$.fragment,e),k(X.$$.fragment,e),k(G.$$.fragment,e),k(J.$$.fragment,e),k(Q.$$.fragment,e),Ce=!1},d(e){e&&(n(P),n(z),n(Y),n(ge),n(_e),n(E),n(ke),n(F),n(be),n(M),n(ze),n(H),n(Te),n(ve),n($e),n(S),n(xe),n(qe),n(l),n(we),n(Be),n(f),n(ye),n(Le),n(fe)),n(m),b(A,e),b(R,e),b(w,e),b(I,e),b(O,e),b(j),b(N),b(U),b(V),b(W),b(K,e),b(X),b(G),b(J),b(Q,e)}}}const wt='{"title":"BARThez","local":"barthez","sections":[{"title":"Overview","local":"overview","sections":[{"title":"Resources","local":"resources","sections":[],"depth":3}],"depth":2},{"title":"BarthezTokenizer","local":"transformers.BarthezTokenizer","sections":[],"depth":2},{"title":"BarthezTokenizerFast","local":"transformers.BarthezTokenizerFast","sections":[],"depth":2}],"depth":1}';function Bt(ue){return _t(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class At extends bt{constructor(m){super(),zt(this,m,Bt,qt,gt,{})}}export{At as component};
